Package com.ads.mm.db.dao

# Class DBSystem

java.lang.Object
com.ads.mm.db.dao.DBComponent
com.ads.mm.db.dao.DBSystem

public class DBSystem extends DBComponent
This Class consists of methods related to DBSystem object which extends DBComponent and systemId, SystemName,EnvironmentMap.

Author:
  Syed Abdul Rahim

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBSystem()`
  `DBSystem(int sysId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEnvironment(DBEnvironment dbEnvironment)`
  Adds the Environment to DBEnvironment Object.
  `void`
  `addEnvironment(String name, DBEnvironment environment)`
  Adds the Environment specified in name to DBEnvironment Object.
  `DBEnvironment`
  `getEnvironment(String name)`
  Returns the DBEnvironment Object for the specified name.
  `Map<String,DBEnvironment>`
  `getEnvironmentMap()`
  Returns the environmentMap.
  `int`
  `getSystemId()`
  Returns the systemId.
  `String`
  `getSystemName()`
  Returns the systemName.
  `void`
  `setEnvironmentMap(Map<String,DBEnvironment> environmentMap)`
  Sets the environmentMap details as specified in environmentMap.
  `void`
  `setSystemId(int systemId)`
  Sets the systemId as specified.
  `void`
  `setSystemName(String systemName)`
  Sets the systemName as specified.

  ### Methods inherited from class com.ads.mm.db.dao.DBComponent

  `getDataStewardName, isMarked, setDataStewardName, setMarked`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DBSystem

    public DBSystem()

  - ### DBSystem

    public DBSystem(int sysId)
    Parameters:
      `sysId` - int

- ## Method Details

  - ### getSystemId

    public int getSystemId()
    Returns the systemId.
    Returns:
      int systemId

  - ### setSystemId

    public void setSystemId(int systemId)
    Sets the systemId as specified.
    Parameters:
      `systemId` - int

  - ### getSystemName

    public String getSystemName()
    Returns the systemName.
    Returns:
      String systemName

  - ### setSystemName

    public void setSystemName(String systemName)
    Sets the systemName as specified.
    Parameters:
      `systemName` - String

  - ### getEnvironmentMap

    public Map<String,DBEnvironment> getEnvironmentMap()
    Returns the environmentMap.
    Returns:
      Map environmentMap

  - ### setEnvironmentMap

    public void setEnvironmentMap(Map<String,DBEnvironment> environmentMap)
    Sets the environmentMap details as specified in environmentMap.
    Parameters:
      `environmentMap` - Map environmentMap

  - ### getEnvironment

    public DBEnvironment getEnvironment(String name)
    Returns the DBEnvironment Object for the specified name.
    Parameters:
      `name` - String
    Returns:
      DBEnvironment Object

  - ### addEnvironment

    public void addEnvironment(String name, DBEnvironment environment)
    Adds the Environment specified in name to DBEnvironment Object.
    Parameters:
      `name` - String
      `environment` - DBEnvironment

  - ### addEnvironment

    public void addEnvironment(DBEnvironment dbEnvironment)
    Adds the Environment to DBEnvironment Object.
    Parameters:
      `dbEnvironment` - DBEnvironment